%define apiver  2.0
%define major   0
%define libname     %mklibname sdl %{apiver} %{major}
%define develname   %mklibname sdl %{apiver} -d
%define develsname  %mklibname sdl %{apiver} -d -s

Name:       sdl2
Summary:    Simple DirectMedia Layer 2
Version:    2.0.5
Release:    %mkrel 1
License:    Zlib
Group:      System/Libraries
URL:        http://wiki.libsdl.org/FrontPage
Source0:    http://www.libsdl.org/release/SDL2-%{version}.tar.xz
BuildRequires:  doxygen
#-------------------------------------------
BuildRequires: %{_lib}alsa2-devel
BuildRequires: %{_lib}audiofile-devel
BuildRequires: %{_lib}dbus-1-devel
BuildRequires: %{_lib}esound-devel
BuildRequires: %{_lib}mesaegl1-devel
BuildRequires: %{_lib}mesagl1-devel
BuildRequires: %{_lib}mesaglesv1_1-devel
BuildRequires: %{_lib}mesaglesv2_2-devel
BuildRequires: %{_lib}nas2-devel
BuildRequires: %{_lib}pulseaudio-devel
BuildRequires: %{_lib}udev0-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xcursor-devel
BuildRequires: %{_lib}xext-devel
BuildRequires: %{_lib}xi-devel
BuildRequires: %{_lib}xinerama-devel
BuildRequires: %{_lib}xrandr2-devel
BuildRequires: %{_lib}xrender-devel
BuildRequires: %{_lib}xscrnsaver-devel
BuildRequires: %{_lib}xxf86vm-devel
#------------------------------------------

%description
This is the Simple DirectMedia Layer 2, a generic API that provides low
level access to audio, keyboard, mouse, and display framebuffer across
multiple platforms.

SDL fully supports high end 3D graphics using Direct3D and OpenGL,
and has a 2D graphics API for emulators and classic games.

%package -n %{libname}
Summary:    Main library for %{name}
Group:      System/Libraries

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{develname}
Summary:    Headers for developing programs that use %{name}
Group:      Development/Libraries
Requires:   %{libname} = %{version}-%{release}
Provides:   %{name}-devel = %{version}-%{release}
Obsoletes:  %{_lib}sdl-devel < 2.0.0-2

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package -n %{develsname}
Summary:    Static library for developing static programs that use %{name}
Group:      Development/Libraries
Requires:     %{libname} = %{version}-%{release}

%description -n %{develsname}
This package contains the static library that programmers will need
to develop static applications which are using %{name}.

%package docs
Summary:    Documentation for Simple DirectMedia Layer 2 (SDL2)
Group:      Documentation
BuildArch:  noarch

%description docs
This package contains the generated API documentation for the SDL2 library.

%prep
%setup -q -n SDL2-%{version}

%build
%configure2_5x \
	--enable-sdl-dlopen \
	--enable-alsa-shared \
	--enable-esd-shared \
	--enable-pulseaudio-shared \
	--enable-arts-shared \
	--enable-nas-shared \
	--enable-sndio-shared \
	--enable-x11-shared \
	--enable-directfb-shared \
	--enable-fusionsound-shared \
	--disable-rpath \
	#End

%make

# generate docs
pushd include
 doxygen -g
 doxygen -w html headerFile footerFile styleSheetFile doxyfile
 doxygen
popd

%install
rm -rf %buildroot
%makeinstall_std

#dont want this
rm -f %buildroot%{_libdir}/*.la

%files -n %{libname}
%defattr(-,root,root)
%doc README-SDL.txt README.txt
%doc CREDITS.txt COPYING.txt
%doc BUGS.txt TODO.txt WhatsNew.txt
%{_libdir}/libSDL2-%{apiver}.so.%{major}
%{_libdir}/libSDL2-%{apiver}.so.%{major}.*

%files -n %{develname}
%defattr(-,root,root)
%{_bindir}/*-config
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_datadir}/aclocal/*
%{_includedir}/SDL2/*.h
%{_libdir}/cmake/SDL2/

%files -n %{develsname}
%defattr(-,root,root)
%{_libdir}/*.a

%files docs
%defattr(-,root,root)
%doc include/html


%clean
rm -rf %buildroot

%changelog
* Tue Sep 05 2017 adrianomorselli <adrianomorselli> 2.0.5-1uplos2017
- update
